package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmRecEmpRecCreationHdrBean extends BaseHeaderBean implements Serializable {
  String applicationNo;
  
  String advNo;
  
  String newEmpNo;
  
  String employeeFirstName;
  
  String employeeMiddleName;
  
  String employeeLastName;
  
  String entryMode;
  
  String rollNo;
  
  String guardianName;
  
  String motherToungue;
  
  String dateOfBirth;
  
  String nationality;
  
  String bloodGroup;
  
  private String maritalStatus;
  
  String sex;
  
  String reservationCategory;
  
  String religion;
  
  String email;
  
  String arrested;
  
  String fined;
  
  String imprisoned;
  
  String proscecuted;
  
  String handicappedFlag;
  
  String placeOfissue;
  
  String passportNo;
  
  String expiryDate;
  
  String issueDate;
  
  String presentAddress;
  
  String countryPresentAddress;
  
  String statePresentAddress;
  
  String cityPresentAddress;
  
  String phonePresentAddress;
  
  String pinCodePresentAddress;
  
  String officeAddress;
  
  String countryOfficeAddress;
  
  String stateOfficeAddress;
  
  String cityOfficeAddress;
  
  String phoneOfficeAddress;
  
  String pinCodeOfficeAddress;
  
  String permanentAddress;
  
  String countryPermanentAddress;
  
  String statePermanentAddress;
  
  String cityPermanentAddress;
  
  String phonePermanentAddresss;
  
  String pinCodePermanentAddress;
  
  String appointmentOrder;
  
  String appointmentOrderDate;
  
  String companyJoiningDate;
  
  String locationJoiningDate;
  
  String tentativeConfirmDate;
  
  String retirementDate;
  
  String baseSite;
  
  String designation;
  
  String grade;
  
  String bankSalAcc;
  
  String costCentre;
  
  String accountNo;
  
  String employeeType;
  
  String joiningGroup;
  
  String gradeId;
  
  String desgnId;
  
  String baseSiteId;
  
  String joiningId;
  
  String applnId;
  
  private String placeOfBirth;
  
  private String relatedEmployee;
  
  private String applForDesignation;
  
  private String applForGrade;
  
  private String entryModeId;
  
  private String entryModeCode;
  
  private String motherToungueCode;
  
  private String nationalityCode;
  
  private String maritalStatusCode;
  
  private String relatedEmployeeId;
  
  private String religionId;
  
  public String getApplicationNo() {
    return this.applicationNo;
  }
  
  public void setApplicationNo(String newApplicationNo) {
    this.applicationNo = newApplicationNo;
  }
  
  public String getAdvNo() {
    return this.advNo;
  }
  
  public void setAdvNo(String newAdvNo) {
    this.advNo = newAdvNo;
  }
  
  public String getNewEmpNo() {
    return this.newEmpNo;
  }
  
  public void setNewEmpNo(String newNewEmpNo) {
    this.newEmpNo = newNewEmpNo;
  }
  
  public String getEmployeeFirstName() {
    return this.employeeFirstName;
  }
  
  public void setEmployeeFirstName(String newEmployeeFirstName) {
    this.employeeFirstName = newEmployeeFirstName;
  }
  
  public String getEmployeeMiddleName() {
    return this.employeeMiddleName;
  }
  
  public void setEmployeeMiddleName(String newEmployeeMiddleName) {
    this.employeeMiddleName = newEmployeeMiddleName;
  }
  
  public String getEmployeeLastName() {
    return this.employeeLastName;
  }
  
  public void setEmployeeLastName(String newEmployeeLastName) {
    this.employeeLastName = newEmployeeLastName;
  }
  
  public String getEntryMode() {
    return this.entryMode;
  }
  
  public void setEntryMode(String newEntryMode) {
    this.entryMode = newEntryMode;
  }
  
  public String getRollNo() {
    return this.rollNo;
  }
  
  public void setRollNo(String newRollNo) {
    this.rollNo = newRollNo;
  }
  
  public String getGuardianName() {
    return this.guardianName;
  }
  
  public void setGuardianName(String newGuardianName) {
    this.guardianName = newGuardianName;
  }
  
  public String getMotherToungue() {
    return this.motherToungue;
  }
  
  public void setMotherToungue(String newMotherToungue) {
    this.motherToungue = newMotherToungue;
  }
  
  public String getDateOfBirth() {
    return this.dateOfBirth;
  }
  
  public void setDateOfBirth(String newDateOfBirth) {
    this.dateOfBirth = newDateOfBirth;
  }
  
  public String getNationality() {
    return this.nationality;
  }
  
  public void setNationality(String newNationality) {
    this.nationality = newNationality;
  }
  
  public String getBloodGroup() {
    return this.bloodGroup;
  }
  
  public void setBloodGroup(String newBloodGroup) {
    this.bloodGroup = newBloodGroup;
  }
  
  public String getMaritalStatus() {
    return this.maritalStatus;
  }
  
  public void setMaritalStatus(String newMaritalStatus) {
    this.maritalStatus = newMaritalStatus;
  }
  
  public String getSex() {
    return this.sex;
  }
  
  public void setSex(String newSex) {
    this.sex = newSex;
  }
  
  public String getReservationCategory() {
    return this.reservationCategory;
  }
  
  public void setReservationCategory(String newReservationCategory) {
    this.reservationCategory = newReservationCategory;
  }
  
  public String getReligion() {
    return this.religion;
  }
  
  public void setReligion(String newReligion) {
    this.religion = newReligion;
  }
  
  public String getEmail() {
    return this.email;
  }
  
  public void setEmail(String newEmail) {
    this.email = newEmail;
  }
  
  public String getArrested() {
    return this.arrested;
  }
  
  public void setArrested(String newArrested) {
    this.arrested = newArrested;
  }
  
  public String getFined() {
    return this.fined;
  }
  
  public void setFined(String newFined) {
    this.fined = newFined;
  }
  
  public String getImprisoned() {
    return this.imprisoned;
  }
  
  public void setImprisoned(String newImprisoned) {
    this.imprisoned = newImprisoned;
  }
  
  public String getProscecuted() {
    return this.proscecuted;
  }
  
  public void setProscecuted(String newProscecuted) {
    this.proscecuted = newProscecuted;
  }
  
  public String getHandicappedFlag() {
    return this.handicappedFlag;
  }
  
  public void setHandicappedFlag(String newHandicappedFlag) {
    this.handicappedFlag = newHandicappedFlag;
  }
  
  public String getPlaceOfissue() {
    return this.placeOfissue;
  }
  
  public void setPlaceOfissue(String newPlaceOfissue) {
    this.placeOfissue = newPlaceOfissue;
  }
  
  public String getPassportNo() {
    return this.passportNo;
  }
  
  public void setPassportNo(String newPassportNo) {
    this.passportNo = newPassportNo;
  }
  
  public String getExpiryDate() {
    return this.expiryDate;
  }
  
  public void setExpiryDate(String newExpiryDate) {
    this.expiryDate = newExpiryDate;
  }
  
  public String getIssueDate() {
    return this.issueDate;
  }
  
  public void setIssueDate(String newIssueDate) {
    this.issueDate = newIssueDate;
  }
  
  public String getPresentAddress() {
    return this.presentAddress;
  }
  
  public void setPresentAddress(String newPresentAddress) {
    this.presentAddress = newPresentAddress;
  }
  
  public String getCountryPresentAddress() {
    return this.countryPresentAddress;
  }
  
  public void setCountryPresentAddress(String newCountryPresentAddress) {
    this.countryPresentAddress = newCountryPresentAddress;
  }
  
  public String getStatePresentAddress() {
    return this.statePresentAddress;
  }
  
  public void setStatePresentAddress(String newStatePresentAddress) {
    this.statePresentAddress = newStatePresentAddress;
  }
  
  public String getCityPresentAddress() {
    return this.cityPresentAddress;
  }
  
  public void setCityPresentAddress(String newCityPresentAddress) {
    this.cityPresentAddress = newCityPresentAddress;
  }
  
  public String getPhonePresentAddress() {
    return this.phonePresentAddress;
  }
  
  public void setPhonePresentAddress(String newPhonePresentAddress) {
    this.phonePresentAddress = newPhonePresentAddress;
  }
  
  public String getPinCodePresentAddress() {
    return this.pinCodePresentAddress;
  }
  
  public void setPinCodePresentAddress(String newPinCodePresentAddress) {
    this.pinCodePresentAddress = newPinCodePresentAddress;
  }
  
  public String getOfficeAddress() {
    return this.officeAddress;
  }
  
  public void setOfficeAddress(String newOfficeAddress) {
    this.officeAddress = newOfficeAddress;
  }
  
  public String getCountryOfficeAddress() {
    return this.countryOfficeAddress;
  }
  
  public void setCountryOfficeAddress(String newCountryOfficeAddress) {
    this.countryOfficeAddress = newCountryOfficeAddress;
  }
  
  public String getStateOfficeAddress() {
    return this.stateOfficeAddress;
  }
  
  public void setStateOfficeAddress(String newStateOfficeAddress) {
    this.stateOfficeAddress = newStateOfficeAddress;
  }
  
  public String getCityOfficeAddress() {
    return this.cityOfficeAddress;
  }
  
  public void setCityOfficeAddress(String newCityOfficeAddress) {
    this.cityOfficeAddress = newCityOfficeAddress;
  }
  
  public String getPhoneOfficeAddress() {
    return this.phoneOfficeAddress;
  }
  
  public void setPhoneOfficeAddress(String newPhoneOfficeAddress) {
    this.phoneOfficeAddress = newPhoneOfficeAddress;
  }
  
  public String getPinCodeOfficeAddress() {
    return this.pinCodeOfficeAddress;
  }
  
  public void setPinCodeOfficeAddress(String newPinCodeOfficeAddress) {
    this.pinCodeOfficeAddress = newPinCodeOfficeAddress;
  }
  
  public String getPermanentAddress() {
    return this.permanentAddress;
  }
  
  public void setPermanentAddress(String newPermanentAddress) {
    this.permanentAddress = newPermanentAddress;
  }
  
  public String getCountryPermanentAddress() {
    return this.countryPermanentAddress;
  }
  
  public void setCountryPermanentAddress(String newCountryPermanentAddress) {
    this.countryPermanentAddress = newCountryPermanentAddress;
  }
  
  public String getStatePermanentAddress() {
    return this.statePermanentAddress;
  }
  
  public void setStatePermanentAddress(String newStatePermanentAddress) {
    this.statePermanentAddress = newStatePermanentAddress;
  }
  
  public String getCityPermanentAddress() {
    return this.cityPermanentAddress;
  }
  
  public void setCityPermanentAddress(String newCityPermanentAddress) {
    this.cityPermanentAddress = newCityPermanentAddress;
  }
  
  public String getPhonePermanentAddresss() {
    return this.phonePermanentAddresss;
  }
  
  public void setPhonePermanentAddresss(String newPhonePermanentAddresss) {
    this.phonePermanentAddresss = newPhonePermanentAddresss;
  }
  
  public String getPinCodePermanentAddress() {
    return this.pinCodePermanentAddress;
  }
  
  public void setPinCodePermanentAddress(String newPinCodePermanentAddress) {
    this.pinCodePermanentAddress = newPinCodePermanentAddress;
  }
  
  public String getAppointmentOrder() {
    return this.appointmentOrder;
  }
  
  public void setAppointmentOrder(String newAppointmentOrder) {
    this.appointmentOrder = newAppointmentOrder;
  }
  
  public String getAppointmentOrderDate() {
    return this.appointmentOrderDate;
  }
  
  public void setAppointmentOrderDate(String newAppointmentOrderDate) {
    this.appointmentOrderDate = newAppointmentOrderDate;
  }
  
  public String getCompanyJoiningDate() {
    return this.companyJoiningDate;
  }
  
  public void setCompanyJoiningDate(String newCompanyJoiningDate) {
    this.companyJoiningDate = newCompanyJoiningDate;
  }
  
  public String getLocationJoiningDate() {
    return this.locationJoiningDate;
  }
  
  public void setLocationJoiningDate(String newLocationJoiningDate) {
    this.locationJoiningDate = newLocationJoiningDate;
  }
  
  public String getTentativeConfirmDate() {
    return this.tentativeConfirmDate;
  }
  
  public void setTentativeConfirmDate(String newTentativeConfirmDate) {
    this.tentativeConfirmDate = newTentativeConfirmDate;
  }
  
  public String getRetirementDate() {
    return this.retirementDate;
  }
  
  public void setRetirementDate(String newRetirementDate) {
    this.retirementDate = newRetirementDate;
  }
  
  public String getBaseSite() {
    return this.baseSite;
  }
  
  public void setBaseSite(String newBaseSite) {
    this.baseSite = newBaseSite;
  }
  
  public String getDesignation() {
    return this.designation;
  }
  
  public void setDesignation(String newDesignation) {
    this.designation = newDesignation;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getBankSalAcc() {
    return this.bankSalAcc;
  }
  
  public void setBankSalAcc(String newBankSalAcc) {
    this.bankSalAcc = newBankSalAcc;
  }
  
  public String getCostCentre() {
    return this.costCentre;
  }
  
  public void setCostCentre(String newCostCentre) {
    this.costCentre = newCostCentre;
  }
  
  public String getAccountNo() {
    return this.accountNo;
  }
  
  public void setAccountNo(String newAccountNo) {
    this.accountNo = newAccountNo;
  }
  
  public String getEmployeeType() {
    return this.employeeType;
  }
  
  public void setEmployeeType(String newEmployeeType) {
    this.employeeType = newEmployeeType;
  }
  
  public String getJoiningGroup() {
    return this.joiningGroup;
  }
  
  public void setJoiningGroup(String newJoiningGroup) {
    this.joiningGroup = newJoiningGroup;
  }
  
  public String getGradeId() {
    return this.gradeId;
  }
  
  public void setGradeId(String newGradeId) {
    this.gradeId = newGradeId;
  }
  
  public String getDesgnId() {
    return this.desgnId;
  }
  
  public void setDesgnId(String newDesgnId) {
    this.desgnId = newDesgnId;
  }
  
  public String getBaseSiteId() {
    return this.baseSiteId;
  }
  
  public void setBaseSiteId(String newBaseSiteId) {
    this.baseSiteId = newBaseSiteId;
  }
  
  public String getJoiningId() {
    return this.joiningId;
  }
  
  public void setJoiningId(String newJoiningId) {
    this.joiningId = newJoiningId;
  }
  
  public String getApplnId() {
    return this.applnId;
  }
  
  public void setApplnId(String newApplnId) {
    this.applnId = newApplnId;
  }
  
  public String getPlaceOfBirth() {
    return this.placeOfBirth;
  }
  
  public void setPlaceOfBirth(String newPlaceOfBirth) {
    this.placeOfBirth = newPlaceOfBirth;
  }
  
  public String getRelatedEmployee() {
    return this.relatedEmployee;
  }
  
  public void setRelatedEmployee(String newRelatedEmployee) {
    this.relatedEmployee = newRelatedEmployee;
  }
  
  public String getApplForDesignation() {
    return this.applForDesignation;
  }
  
  public void setApplForDesignation(String newApplForDesignation) {
    this.applForDesignation = newApplForDesignation;
  }
  
  public String getApplForGrade() {
    return this.applForGrade;
  }
  
  public void setApplForGrade(String newApplForGrade) {
    this.applForGrade = newApplForGrade;
  }
  
  public String getEntryModeId() {
    return this.entryModeId;
  }
  
  public void setEntryModeId(String newEntryModeId) {
    this.entryModeId = newEntryModeId;
  }
  
  public String getEntryModeCode() {
    return this.entryModeCode;
  }
  
  public void setEntryModeCode(String newEntryModeCode) {
    this.entryModeCode = newEntryModeCode;
  }
  
  public String getMotherToungueCode() {
    return this.motherToungueCode;
  }
  
  public void setMotherToungueCode(String newMotherToungueCode) {
    this.motherToungueCode = newMotherToungueCode;
  }
  
  public String getNationalityCode() {
    return this.nationalityCode;
  }
  
  public void setNationalityCode(String newNationalityCode) {
    this.nationalityCode = newNationalityCode;
  }
  
  public String getMaritalStatusCode() {
    return this.maritalStatusCode;
  }
  
  public void setMaritalStatusCode(String newMaritalStatusCode) {
    this.maritalStatusCode = newMaritalStatusCode;
  }
  
  public String getRelatedEmployeeId() {
    return this.relatedEmployeeId;
  }
  
  public void setRelatedEmployeeId(String newRelatedEmployeeId) {
    this.relatedEmployeeId = newRelatedEmployeeId;
  }
  
  public String getReligionId() {
    return this.religionId;
  }
  
  public void setReligionId(String newReligionId) {
    this.religionId = newReligionId;
  }
}
